Skip to main content
POST
/
v1
/
teams
/
{team_id}
/
api-keys
/
{api_key_id}
/
rotate
Rotate Api Key
curl --request POST \
  --url https://api.dataraven.io/v1/teams/{team_id}/api-keys/{api_key_id}/rotate \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key_id": "<string>",
  "name": "<string>",
  "full_key": "<string>",
  "scopes": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

api_key_id
string<uuid>
required
team_id
string<uuid>
required

Response

Successful Response

Schema returned only at creation time -- includes the full key.

The full_key field is shown ONCE and never stored or returned again.

id
string<uuid>
required
key_id
string
required
name
string
required
full_key
string
required

Full API key (dr_<key_id>_). Shown ONCE, save it now!

scopes
string[]
required
expires_at
string<date-time> | null
required
created_at
string<date-time>
required
created_by
string<uuid>
required